Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ECG_UDP_Out_Endpoint.h File Reference

`#include "tao/Basic_Types.h"`
`#include "tao/orbconf.h"`
`#include "ace/Refcounted_Auto_Ptr.h"`
`#include "ace/SOCK_Dgram.h"`
`#include "ace/Atomic_Op.h"`

Include dependency graph for ECG_UDP_Out_Endpoint.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | TAO_ECG_UDP_Out_Endpoint
| Maintains information about an outgoing endpoint. More...
## Typedefs
typedef ACE_Refcounted_Auto_Ptr< TAO_ECG_UDP_Out_Endpoint, ACE_Null_Mutex > | TAO_ECG_Refcounted_Endpoint
| Reference counted pointer to TAO_ECG_UDP_Out_Endpoint.

## Detailed Description

Id:
  ECG_UDP_Out_Endpoint.h,v 1.4 2003/10/28 18:34:18 bala Exp

Author:
  Carlos O'Ryan (coryan@cs.wustl.edu) , Marina Spivak (marina@atdesk.com)

## Typedef Documentation

TAO_ECG_Refcounted_Endpoint

| Reference counted pointer to TAO_ECG_UDP_Out_Endpoint. Instances of TAO_ECG_UDP_Out_Endpoint are used by multiple objects in the Event Channel gateways, the endpoints are reference counted to manage their lifetime automatically.